Mirror of the lttng-dev mailing list
 help / color / mirror / Atom feed
From: jason.wessel@windriver.com (Jason Wessel)
Subject: [ltt-dev] [UST PATCH 3/3] support busybox for manual trace tests
Date: Wed, 27 Apr 2011 15:22:16 -0500	[thread overview]
Message-ID: <1303935736-29208-3-git-send-email-jason.wessel@windriver.com> (raw)
In-Reply-To: <1303935736-29208-1-git-send-email-jason.wessel@windriver.com>

The busybox version of find does not support using -L, and it does not
appear to be needed in order to pass the test.  In the interest of
being able to run internal UST tests on a busybox based rootfs,
appropriately detect if -L is available as an argument to find and use
it when it is available.

Signed-off-by: Jason Wessel <jason.wessel at windriver.com>
---
 tests/manual_mode_tracing.sh |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/tests/manual_mode_tracing.sh b/tests/manual_mode_tracing.sh
index 19044ba..f9bc793 100755
--- a/tests/manual_mode_tracing.sh
+++ b/tests/manual_mode_tracing.sh
@@ -43,7 +43,14 @@ UST_CONSUMERD_PID="$(<$pidfilepath)"
 
 LIB_UST="$TESTDIR/../libust/.libs/libust.so.0.0.0"
 LIB_UST_MALLOC="$TESTDIR/../libustinstr-malloc/.libs/libustinstr-malloc.so"
-LD_PRELOAD="$LIB_UST:$LIB_UST_MALLOC" find -L / >/dev/null 2>&1 &
+# Check to see if find supports -L
+find . -maxdepth 0 -L > /dev/null 2>&1
+if [ $? = 0 ] ; then
+   USE_L="-L"
+else
+   USE_L=""
+fi
+LD_PRELOAD="$LIB_UST:$LIB_UST_MALLOC" find $USE_L / >/dev/null 2>&1 &
 PID=$!
 TRACE=auto
 USTCTL="$TESTDIR/../ustctl/ustctl"
-- 
1.7.1





  parent reply	other threads:[~2011-04-27 20:22 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-04-27 20:22 [ltt-dev] [UST PATCH 1/3] ust-consumerd: fix exit race crashes Jason Wessel
2011-04-27 20:22 ` [ltt-dev] [UST PATCH 2/3] ust-consumerd: fix exit race log corruption Jason Wessel
2011-04-28 13:20   ` Nils Carlson
2011-04-28 14:57     ` Mathieu Desnoyers
2011-04-27 20:22 ` Jason Wessel [this message]
2011-04-28 13:20   ` [ltt-dev] [UST PATCH 3/3] support busybox for manual trace tests Nils Carlson
2011-04-28 13:20 ` [ltt-dev] [UST PATCH 1/3] ust-consumerd: fix exit race crashes Nils Carlson

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1303935736-29208-3-git-send-email-jason.wessel@windriver.com \
    --to=jason.wessel@windriver.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox